@import "../../../assets/styles/main.scss";

.sideBarDrawerMain {
  height: 100%;

  // overflow: scroll;

  .planDetailsMainSection {
    display: flex;
    flex-flow: column;
    gap: 40px;
    height: 100%;
    @include lg {
      gap: 24px;
    }
    .planDetailsHeading {
      padding: 40px 40px 0px 40px;
      @include xl {
        padding: 30px 30px 0px 30px;
      }
      @include lg {
        padding: 20px 20px 0px 20px;
      }
      h1 {
        font-size: 24px;
        @include inter700;
        color: getColorHex("black");
        line-height: 32px;
        text-transform: capitalize;
        @include lg {
          font-size: 22px;
        }
      }
    }
    .borderdiv {
      background: #d5d8dd;
      height: 1px;
    }

    .scrollDivs {
      overflow-y: auto;
      border-radius: 20px;
      padding: 0px 40px 40px 40px;
      @include xl {
        padding: 0px 30px 30px 30px;
      }
      @include lg {
        padding: 20px 20px 0px 20px;
      }

      &::-webkit-scrollbar {
        width: 5px;
      }

      /* Track */
      &::-webkit-scrollbar-track {
        background: #f1f1f1;
      }

      /* Handle */
      &::-webkit-scrollbar-thumb {
        background: #c7c5c5;
      }

      /* Handle on hover */
      &::-webkit-scrollbar-thumb:hover {
        background: #a5a3a3;
      }

      .shareContent {
        background: linear-gradient(90deg, #ffecd2 0%, #fcb69f 100%);
        box-shadow: 0px 0px 17.2px 0px #a5a5a540;
        background-color: lightsalmon;
        border: 2px solid #ffffff;
        border-radius: 20px;
        padding: 13px;

        .shareContentTop {
          margin: 0 0 12px 0;
          background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
          padding: 15px;
          border-radius: 10px;
          display: flex;
          flex-direction: row;
          gap: 15px;

          @include lg {
            padding: 12px;
            gap: 12px;
          }
          .shareContentTopLeft {
            max-width: 220px;
            .planListCountryCard {
              padding: 10px;
              background-color: getColorHex("white");
              box-shadow: 0px 0px 17.2px 0px #a5a5a540;
              border-radius: 15px;
              max-width: 220px;
              width: 100%;
              height: 133px;
              position: relative;
              .planecoupan {
                position: absolute;
                background-image: url(https://stagecdn.waosim.com/landingpage/assets/plan_discount_img.png);
                background-position: center;
                background-repeat: no-repeat;
                background-size: contain;
                width: 71px;
                height: 35px;
                top: 5px;
                right: 20px;

                p {
                  color: getColorHex("white");
                  text-align: center;
                  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
                  font-size: 10px;
                  @include inter400;
                  line-height: 11px;
                  margin-bottom: 8px;
                  padding-top: 4px;
                  left: 4%;
                  position: relative;
                  top: 0px;
                }
                h1 {
                  color: getColorHex("white");
                  text-align: center;
                  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.25);
                  font-size: 15px;
                  @include inter700;
                  line-height: 18px;
                  position: relative;
                  left: 6%;
                }
              }

              p {
                position: absolute;
                top: 18px;
                left: 20px;
                font-size: 9.5px;
                line-height: 12.94px;
                text-align: left;
              }

              &_image {
                height: 100%;
                min-width: 200px;
                border-radius: 10px;
                @include lg {
                  min-width: 165px;
                }

                img {
                  height: 100%;
                  width: 100%;
                  border-radius: 10px;
                  object-fit: cover !important;
                }
              }
            }

            .planValiditySection {
              width: 100%;
              display: flex;
              flex-direction: column;
              gap: 10px;
              margin-top: 18px;

              @include lg {
                margin-top: 16px;
              }

              .planValiditySectionCard {
                padding: 10px;
                display: flex;
                flex-direction: column;
                gap: 4px;
                background: #ffffff;
                border-radius: 10px;

                .planImage {
                  display: flex;
                  flex-direction: row;
                  align-items: center;
                  gap: 5px;

                  img {
                    height: 15px;
                    width: 15px;
                  }

                  p {
                    font-size: 10px;
                    line-height: 12.1px;
                    text-align: left;
                    color: #686868;
                    @include lg {
                      font-size: 8px;
                      line-height: 10.52px;
                    }
                  }
                }

                h3 {
                  font-size: 12px;
                  line-height: 14.52px;
                  text-align: left;
                  color: #000000;

                  @include lg {
                    font-size: 10px;
                    line-height: 12.52px;
                  }
                }
              }
            }
          }

          .shareContentTopRight {
            padding: 39px 23px;
            border: 3px solid #f47500;
            border-radius: 10px;
            text-align: center;
            height: 100%;
            width: 100%;

            @include lg {
              padding: 36px 20px;
            }

            img {
              height: 200px;
              width: 200px;

              @include lg {
                height: 176px;
                width: 176px;
              }
            }

            p {
              padding: 40px 0 0 0;
              font-size: 12px;
              line-height: 14.52px;
              color: #000000;
            }
          }
        }

        .shareContentBottom {
          background: linear-gradient(90deg, #e6e9f0 0%, #eef1f5 100%);
          border-radius: 10px;

          .iccidCard {
            padding: 15px;
            display: flex;
            flex-direction: column;
            gap: 15px;
            position: relative;

            @include lg {
              padding: 12px;
            }

            .transparentRound {
              height: 20px;
              width: 20px;
              border-radius: 50%;
              z-index: 9999;
              position: absolute;
              bottom: -10px;
              left: -10px;
              background: #ffebd1;

              &.left {
                right: -10px;
                left: unset;
                background: #fcb8a1;
              }
            }

            &:first-child {
              border-bottom: 2px dotted #c9c9c9;
            }

            .iccidCardInner {
              background: linear-gradient(
                270.22deg,
                #f7f7f7 27.85%,
                #f4f4f4 44.76%,
                #e9e9e9 58.4%
              );
              box-shadow: 0px 0px 9.8px 0px #d2d2d275;
              border: 2px solid #ffffff;
              padding: 11.5px;
              display: grid;
              grid-template-columns: 37px 1fr;
              gap: 10px;
              border-radius: 10px;

              .myPlanactiveIconBack {
                background-color: #ffffff;
                border-radius: 5px;
                padding: 5px;
                height: 37px;
                width: 37px;
                margin: auto 0;
                @include vertical_align_center;
                img {
                  height: 100%;
                  width: 100%;
                }
              }

              .detaisSectionCombaine {
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                gap: 10px;

                .detaisSection {
                  display: flex;
                  flex-direction: column;
                  gap: 4px;
                  justify-content: center;
                  h4 {
                    font-size: 10px;
                    line-height: 12.1px;
                    text-align: left;
                    color: #686868;

                    @include lg {
                      font-size: 8px;
                      line-height: 10.1px;
                    }
                  }

                  p {
                    font-size: 12px;
                    line-height: 14.52px;
                    text-align: left;
                    color: #000000;
                    word-break: break-word;

                    @include lg {
                      font-size: 10px;
                      line-height: 12.1px;
                    }
                  }
                }
              }
              svg {
                cursor: pointer;
              }
            }
          }
        }
      }
      .newEsimSubmitButton {
        display: flex;
        flex-direction: row;
        gap: 15px;
        align-items: center;
        justify-content: center;
        margin: 50px 0 0 0;

        @include lg {
          margin: 40px 0 0 0;
        }
        button {
          display: flex;
          gap: 10px;
          justify-content: center;
          align-items: center;
          color: #fff;
          background-color: getColorHex("orange");
          border: unset;
          border-radius: 35px;
          background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
          height: 44px;
          width: 164px;
          padding: 10px 29px;
          transition: 0.3s;
          @include inter700;
          border: none;
          max-width: 240px;
          width: fit-content;
          border: 1px solid transparent;

          &.sharePlanButton {
            background: black;
            &:hover{
        
              background: getColorHex("white") !important;
              border: 1px solid getColorHex("black") !important;
              @include transition-3s;
              p {
                color: getColorHex("black") !important;
              }
            }
          }

          // &:disabled {
          //   opacity: 0.5;
          // }
          img {
            width: 24px;
            height: 24px;
          }
          .arrowBack {
            display: block;
          }
          .arrowBackOrange {
            display: none;
          }
          &:hover:not(:disabled) {
            // Add :not(:disabled) to ensure hover effect doesn't apply when button is disabled
            background: getColorHex("white");
            border: 1px solid getColorHex("orange");
            @include transition-3s;
            p {
              color: getColorHex("orange");
            }
            .arrowBack {
              display: none;
            }
            .arrowBackOrange {
              display: block;
            }
          }
          &:disabled {
            background-color: #ccc; // Disabled background color
            cursor: not-allowed; // Change cursor to indicate button is disabled
          }
          p {
            font-size: 20px;
            color: white;
            @include inter700;
            text-transform: capitalize;
            @include lg {
              font-size: 18px;
            }
          }
        }
      }
    }
  }
}
